{{ $appSection := "rozpocet" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ $appName }}
  annotations:
    {{- include "pragozor.annotations" . | nindent 4 }}
  labels:
    app.kubernetes.io/name: {{ $appName }}
    {{- include "pragozor.labels" (list . $appSection) |  nindent 4 }}
spec:
  replicas: {{ index . "Values" $appSection "replicas" }}
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ $appName }}
      {{- include "pragozor.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      annotations:
        {{- include "pragozor.annotations" . | nindent 8 }}
        {{- if (index . "Values" $appSection "podAnnotations") }}
        {{- include "common.tplvalues.render" ( dict "value" (index . "Values" $appSection "podAnnotations") "context" $ ) | nindent 8 }}
        {{- end }}
      labels:
        app.kubernetes.io/name: {{ $appName }}
        {{- include "pragozor.labels" (list . $appSection) |  nindent 8 }}
    spec:
      automountServiceAccountToken: false
      {{- include "pragozor.imagePullSecrets" (list . .Values.global.imagePullSecrets ) | nindent 6 }}
      containers:
        - name: {{ $appName }}
          image: {{ include "pragozor.imageName" (list . $appSection) | quote }}
          imagePullPolicy: {{ .Values.global.pullPolicy }}
          env:
            - name: APP_ENV
              value: dev
            - name: APP_KEY
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secretName }}
                  key: rozpocet-app-key
            - name: APP_NAME
              value: Pragozor
            - name: APP_URL
              value: https://d
          ports:
            - containerPort: {{ index . "Values" $appSection "port" }}
          resources:
            {{ index . "Values" $appSection "resources" | toYaml | nindent 12 }}
          securityContext:
            capabilities:
              drop: [ "all" ]
          {{- if index . "Values" $appSection "probes" "enabled" }}
          readinessProbe: {{include "pragozor.readinessProbe" (list . $appSection) | nindent 12 }}
          livenessProbe: {{include "pragozor.livenessProbe" (list . $appSection) | nindent 12 }}
          {{ end }}
  {{ end }}